function [Model] = XRFProcModelMay2021Produce()
% May 27 model
ProcessingModel = [];
 
% Data processing model for Na
ProcessingModel.speciesName = 'Na';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 1;
ProcessingModel.bandNames = {'Na-K'};
ProcessingModel.bandIndices = 7;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 64.0632799679;
ProcessingModel.known = [1078;1701.2145749;1536.43724696;343;1279;932;216;305.872;1008;1150;1198;2099;1258;650;1296;149;1250;1210];
ProcessingModel.meas = [14.0493749437;16.7408289859;26.7588539352;0;0;23.0241445792;6.08024132225;7.17790844762;23.3569262458;4.04182678104;8.06087381736;0.0313809641576;4.04205941928;10.1325040748;14.9214580745;0;16.1403525993;21.7375848265];
ProcessingModel.pred = [900.049040394;1072.47241422;1714.25995127;0;0;1475.0022202;389.5202021;459.840358464;1496.32130527;258.932680656;516.406016148;2.01036749249;258.947584225;649.121445321;955.917546155;0;1034.00392735;1392.58098257];
ProcessingModel.pcc = 0.26771;
ProcessingModel.rmse = 732.9965;
ProcessingModel.sem = 1.4684;
 
Model(1) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Mg
ProcessingModel.speciesName = 'Mg';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 2;
ProcessingModel.bandNames = {'Mg-K'};
ProcessingModel.bandIndices = 9;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 1;
ProcessingModel.coefs = [151.649782408;-598.805921579];
ProcessingModel.known = [298;4000;5979;5800;5000;600;1593;1547;7864;300;7639;300;5000;3700;2027;6510;6562;8600];
ProcessingModel.meas = [15.8215826718 1;26.3400334028 1;39.4165162018 1;43.7492579564 1;38.4846772127 1;12.1338781638 1;15.2433104266 1;15.0921084083 1;62.2533194 1;4.23496237411 1;52.891291077 1;6.15866823765 1;34.7947906955 1;17.8945455641 1;23.6378210045 1;41.5202478634 1;42.3068444439 1;62.5769345717 1];
ProcessingModel.pred = [1800.53364794;3395.65441256;5378.7001837;6035.75952802;5237.38700376;1241.29406172;1712.8387878;1689.90903461;8841.89641959;43.4252009607;7422.14686152;335.154776583;4677.81651631;2114.8980195;2985.86449034;5697.73063242;5817.0178327;8890.97258996];
ProcessingModel.pcc = 0.9656;
ProcessingModel.rmse = 724.4449;
ProcessingModel.sem = 0.26759;
 
Model(2) = ProcessingModel;
 
 
% % Initial May 27 method
% ProcessingModel = [];
%  
% % Data processing model for Al
% ProcessingModel.speciesName = 'Al';
% ProcessingModel.speciesUnits = 'ppm';
% ProcessingModel.speciesIndex = 3;
% ProcessingModel.bandNames = {'Al-K'};
% ProcessingModel.bandIndices = 11;
% ProcessingModel.Constant = 0;
% ProcessingModel.Power = 2;
% ProcessingModel.coefs = [0.991838290065;-0.00116957167224];
% ProcessingModel.known = [40;57;80;33.25;49;42;26;26;106;1;34;1;33;40;36;13;13;125];
% ProcessingModel.meas = [52.8042704698 2788.29097985;58.8180964245 3459.568467;66.2695210357 4391.64941831;19.662228154 386.603215982;41.9503846372 1759.83477121;52.2737624721 2732.54624299;28.6502944781 820.839373681;25.3744532152 643.862875968;122.880739573 15099.6761581;4.1815847211 17.4856507798;17.3393618049 300.653467801;0.846162744548 0.715991390262;44.3884047759 1970.33047855;52.6112208041 2767.9405545;53.2437384 2834.89567881;17.0897703999 292.060252321;13.6378275304 185.990339748;155.544848303 24194.1998337];
% ProcessingModel.pred = [49.112191187;54.2918269054;60.5922996735;19.0495905814;39.5497448699;48.6512105067;27.4564286061;24.4143105077;104.217669126;4.12700511772;16.8462071843;0.838419206422;41.721676779;48.9445184176;49.4935647717;16.6087032533;13.3089905052;125.978485612];
% ProcessingModel.pcc = 0.96004;
% ProcessingModel.rmse = 9.0256;
% ProcessingModel.sem = 0.2895;
%  
% Model(3) = ProcessingModel;

% % Updated June 3 method
ProcessingModel = [];
 
% Data processing model for Al
ProcessingModel.speciesName = 'Al';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 3;
ProcessingModel.bandNames = {'Al-K'};
ProcessingModel.bandIndices = 11;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 0.86661792264;
ProcessingModel.known = [40;57;80;33.25;49;42;26;26;106;1;34;1;33;40;36;13;13;125];
ProcessingModel.meas = [52.8042704698;58.8180964245;66.2695210357;19.662228154;41.9503846372;52.2737624721;28.6502944781;25.3744532152;122.880739573;4.1815847211;17.3393618049;0.846162744548;44.3884047759;52.6112208041;53.2437384;17.0897703999;13.6378275304;155.544848303];
ProcessingModel.pred = [45.7611271811;50.9728165371;57.4303546543;17.0396393173;36.3549551883;45.3013794421;24.8288586836;21.9899559334;106.490651262;3.62383626434;15.0266017073;0.733299799896;38.4677871362;45.5938268808;46.1419779658;14.8103013224;11.8187857637;134.797953314];
ProcessingModel.pcc = 0.95961;
ProcessingModel.rmse = 9.6086;
ProcessingModel.sem = 0.3082;
 
Model(3) = ProcessingModel;
 
 
ProcessingModel = [];
 
% Data processing model for Si
ProcessingModel.speciesName = 'Si';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 4;
ProcessingModel.bandNames = {'Si-K'};
ProcessingModel.bandIndices = 13;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 2;
ProcessingModel.coefs = [27.0083653522;0.000826999971721;-720.748159343];
ProcessingModel.known = [5000;8071.2068;37015.7008;0;3300;6605.6628;0;1933.8066;41900;264;23207.3458;4500;3843.6156;11919.1412;21376.8622;214.6452;1893.8106;63414];
ProcessingModel.meas = [232.94908599 54265.2766635 1;330.201126799 109032.78414 1;1337.35743768 1788524.91612 1;0 0 1;150.179404621 22553.8535722 1;279.253372854 77982.4462504 1;0 0 1;87.0020449999 7569.35583416 1;1512.57042256 2287869.2832 1;92.6518314053 8584.36186275 1;843.886023218 712143.620184 1;157.221469115 24718.5903506 1;172.841780435 29874.2810639 1;419.880823207 176299.905697 1;823.824922439 678687.502832 1;79.7661607919 6362.64040747 1;83.7172609607 7008.57978277 1;2223.24384359 4942813.18807 1];
ProcessingModel.pred = [5615.7032458;8287.61462237;36878.2001791;-720.748159343;3354.0041053;6885.92044138;-720.748159343;1635.29471547;42023.3742666;1788.72562082;22660.1766251;3545.98899324;3972.13182437;10765.3465352;22090.6908778;1438.8673575;1546.11430625;63413.1402022];
ProcessingModel.pcc = 0.9992;
ProcessingModel.rmse = 694.455;
ProcessingModel.sem = 0.043849;
 
Model(4) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for P
ProcessingModel.speciesName = 'P';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 5;
ProcessingModel.bandNames = {'P-K'};
ProcessingModel.bandIndices = 15;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 3.59945900424;
ProcessingModel.known = [2360;4500;5723;10879;9000;2060;6749;7970;5100;400;18400;14600;4200;4923;4592;9244;10234;6100];
ProcessingModel.meas = [603.641511121;1352.31755099;1745.86046741;2861.73723849;2461.43310138;726.861835541;1935.8322309;2055.41221814;1571.17826419;82.8977024681;5104.52360608;4225.80910639;1056.01018013;1004.80902772;1534.72369378;2336.39555025;2898.21542855;1580.78509788];
ProcessingModel.pred = [2172.78287254;4867.61158552;6284.15317956;10300.7058708;8859.82754011;2616.30937878;6967.94875422;7398.372016;5655.39175029;298.38688158;18373.5234562;15210.6266382;3801.06535142;3616.76890239;5524.17501861;8409.76000083;10432.0076205;5689.97115434];
ProcessingModel.pcc = 0.99152;
ProcessingModel.rmse = 570.2489;
ProcessingModel.sem = 0.13443;
 
Model(5) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for S
ProcessingModel.speciesName = 'S';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 6;
ProcessingModel.bandNames = {'S-K'};
ProcessingModel.bandIndices = 17;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 2;
ProcessingModel.coefs = [1.54579255584;4.89101273028e-05;-445.316944814];
ProcessingModel.known = [4160;2800;3610;21770;17100;3400;2800;3400;5500;500;5500;6300;11700;2350;3100;12490;23730;5500];
ProcessingModel.meas = [2264.59124704 5128373.51617 1;2188.45555557 4789337.71869 1;2596.59014516 6742280.38192 1;10698.6226281 114460526.139 1;9230.74205959 85206598.9706 1;2486.48942527 6182629.66197 1;1747.54262447 3053905.22433 1;2552.18552165 6513650.93691 1;3379.15858038 11418712.7113 1;532.498362692 283554.50627 1;3704.05227714 13720003.2718 1;3819.70149882 14590119.5401 1;6800.85056253 46251568.3738 1;2006.47148924 4025927.83715 1;2045.09205437 4182401.51086 1;6115.08102432 37394215.934 1;11354.9287558 128934407.048 1;3477.82635415 12095276.1496 1];
ProcessingModel.pred = [3306.10074841;3171.82847928;3898.23856392;21690.8131761;17990.9610184;3700.67310277;2405.38832839;3818.41593219;5336.65192607;391.68374723;5951.42659825;6172.75380165;12329.5573252;2853.18038978;2920.53291916;10836.2856426;23413.2456603;5522.26264017];
ProcessingModel.pcc = 0.99634;
ProcessingModel.rmse = 574.8185;
ProcessingModel.sem = 0.093629;
 
Model(6) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Cl
ProcessingModel.speciesName = 'Cl';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 7;
ProcessingModel.bandNames = {'Cl-K'};
ProcessingModel.bandIndices = 18;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 1;
ProcessingModel.coefs = [1.53590238483;-453.494496831];
ProcessingModel.known = [9000;11872;10000;310;5600;11000;1529;2261;14000;3070;0;670;2780;185;4556;1792;340;14130];
ProcessingModel.meas = [6309.72266758 1;8207.48122923 1;6710.77649043 1;530.496641992 1;3311.6644161 1;7406.80298482 1;1478.05299387 1;1423.22397843 1;9539.10567882 1;2727.61089063 1;307.547141685 1;802.295727909 1;1803.21394183 1;498.254135176 1;3781.43816323 1;1236.64595337 1;678.989524023 1;9173.97981582 1];
ProcessingModel.pred = [9237.6235959;12152.3954966;9853.60311886;361.296560747;4632.89877762;10922.6318715;1816.65062135;1732.43860578;14197.6406644;3735.84957497;18.86789153;778.753425002;2316.06609678;311.775217636;5354.42539616;1445.87297214;589.367132389;13636.8429806];
ProcessingModel.pcc = 0.99628;
ProcessingModel.rmse = 424.9917;
ProcessingModel.sem = 0.091408;
 
Model(7) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for K
ProcessingModel.speciesName = 'K';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 8;
ProcessingModel.bandNames = {'K-K'};
ProcessingModel.bandIndices = 21;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 1.1780680449;
ProcessingModel.known = [29323;29000;19611;8857;19800;30742;13034;15999;16850;3100;13600;500;23400;28999;28057;6920;6721;17500];
ProcessingModel.meas = [24815.2863741;23922.5602415;15501.5504435;7730.62884684;17545.9577713;27011.6195604;11924.1295915;11913.2527767;14651.2851092;3234.26120216;11663.8475598;530.282184815;18572.3710235;24892.2752401;25237.6588151;5415.36774441;4720.24953159;13868.3446204];
ProcessingModel.pred = [29234.0959025;28182.4037728;18261.881224;9107.20681148;20670.3321677;31821.5258452;14047.436035;14034.6224071;17260.210804;3810.17977114;13740.8060908;624.708496713;21879.5168209;29324.7940253;29731.6793783;6379.6716911;5560.77513714;16337.853633];
ProcessingModel.pcc = 0.99447;
ProcessingModel.rmse = 1007.9409;
ProcessingModel.sem = 0.11098;
 
Model(8) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Ca
ProcessingModel.speciesName = 'Ca';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 9;
ProcessingModel.bandNames = {'Ca-K'};
ProcessingModel.bandIndices = 22;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 1;
ProcessingModel.coefs = [1.2815840734;-546.57867393];
ProcessingModel.known = [7800;20198;29875;7903;14310;6300;1572;1274;24910;700;1900;1000;14500;14520;6609;10233;7251;27700];
ProcessingModel.meas = [6010.93396801 1;14752.3480673 1;22778.1218964 1;6952.78260436 1;11955.4920777 1;5877.5136278 1;1407.14305405 1;1231.83093315 1;20509.7051409 1;845.03487405 1;1980.54671607 1;1410.10533213 1;13559.4830417 1;10712.2676154 1;5034.96946566 1;9697.52149867 1;5776.37493973 1;22113.9470993 1];
ProcessingModel.pred = [7156.9385657;18359.7956543;28645.4995703;8363.99677759;14775.3895624;6985.94918262;1256.79345313;1032.11623111;25738.3327847;536.404562116;1991.658454;1260.58986154;16831.0388358;13182.0928919;5906.15800329;11881.6104302;6856.33145079;27794.3037284];
ProcessingModel.pcc = 0.99405;
ProcessingModel.rmse = 993.0647;
ProcessingModel.sem = 0.1155;
 
Model(9) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Mn
ProcessingModel.speciesName = 'Mn';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 10;
ProcessingModel.bandNames = {'Mn-K'};
ProcessingModel.bandIndices = 24;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 0.461230744234;
ProcessingModel.known = [214.7897;36;1722;108;2596.7906;82;24.3;228.2881;3607.5564;9;410;26;130.3529;121.0189;93.9144;86.878;118.829;3379];
ProcessingModel.meas = [290.974237447;137.968129992;3784.96577459;343.18307554;5566.4011307;255.510917481;95.2892462545;128.156658832;7854.17434174;72.5397304927;870.526302935;145.578249181;195.844292384;173.856162287;146.442077878;77.7635607801;96.1416480552;7325.5442617];
ProcessingModel.pred = [134.206264091;63.6351432768;1745.74258112;158.28658534;2567.39533622;117.84949063;43.9503299674;59.1097911318;3622.58667698;33.4575538816;401.513494578;67.145164214;90.3294087303;80.187807121;67.5435885668;35.8669450129;44.3434838843;3378.76623174];
ProcessingModel.pcc = 0.999;
ProcessingModel.rmse = 55.882;
ProcessingModel.sem = 0.048686;
 
Model(10) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Fe
ProcessingModel.speciesName = 'Fe';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 11;
ProcessingModel.bandNames = {'Fe-K'};
ProcessingModel.bandIndices = 25;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 2;
ProcessingModel.coefs = [0.180202433331;1.82067730204e-05];
ProcessingModel.known = [123.9898;244;831;166;189.4127;180;100;159.1324;2090;167;322.7133;462;91.3891;148.1989;198.1711;78.5908;89.9794;2649];
ProcessingModel.meas = [694.707809125 482618.94006;1054.15008322 1111232.39796;3378.18877842 11412159.4227;828.898384513 687072.531848;896.41951333 803567.943879;820.316691626 672919.47456;522.030898834 272516.259337;721.058830761 519925.837418;6945.43143576 48239017.8288;733.496052909 538016.459633;1575.91287674 2483501.39508;2081.59548299 4333039.7548;694.922888271 482917.820644;842.061565129 709067.679467;1127.75355813 1271828.08786;527.506910088 278263.540191;482.621100484 232923.126633;8032.48014224 64520737.2354];
ProcessingModel.pred = [133.974971155;210.192366135;816.536434403;161.878879509;176.167356748;160.074756067;99.0328799218;139.402727587;2129.86049359;141.973317134;329.199881302;453.999242548;134.019170592;164.651377347;226.379820688;100.124309913;91.2102751818;2622.18688526];
ProcessingModel.pcc = 0.9995;
ProcessingModel.rmse = 22.1368;
ProcessingModel.sem = 0.033405;
 
Model(11) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Ni
ProcessingModel.speciesName = 'Ni';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 12;
ProcessingModel.bandNames = {'Ni-K'};
ProcessingModel.bandIndices = 28;
ProcessingModel.Constant = 1;
ProcessingModel.Power = 1;
ProcessingModel.coefs = [0.0256103543299;-8.65583229257];
ProcessingModel.known = [4;4;3;3;2;4;5;6;1;10;6.988;13;4.787;5.342;4.831;3;4;1];
ProcessingModel.meas = [511.513425839 1;506.152059546 1;484.343301918 1;444.200435952 1;464.052080119 1;476.448693777 1;488.536641331 1;533.39020337 1;378.014532137 1;678.903514472 1;661.281868631 1;799.343940877 1;571.853668499 1;585.121679145 1;568.03193617 1;394.148240341 1;479.232590003 1;376.042290903 1];
ProcessingModel.pred = [4.44420778768;4.30690129722;3.74837128688;2.72029826566;3.22870590681;3.54618757507;3.85576419505;5.00447981184;1.02525381732;8.73112726888;8.279830675;11.8156492647;5.98954278256;6.32934123644;5.89166686345;1.43844380107;3.61748414385;0.974744020478];
ProcessingModel.pcc = 0.94591;
ProcessingModel.rmse = 0.93569;
ProcessingModel.sem = 0.34411;
 
Model(12) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Cu
ProcessingModel.speciesName = 'Cu';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 13;
ProcessingModel.bandNames = {'Cu-K'};
ProcessingModel.bandIndices = 29;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 0.0667699484064;
ProcessingModel.known = [9;7;2;5.5;11;6;9;9;2;10;21;16;5;8;10;6;5;3];
ProcessingModel.meas = [135.567914037;114.544032245;43.0110381231;81.2705112669;149.07732322;85.140178401;107.481279648;125.516812899;23.5550776022;141.270740691;281.883848991;246.571644168;136.122187941;141.848247607;156.704976326;77.0165422283;102.461927432;32.6811319275];
ProcessingModel.pred = [9.05186262581;7.64809912323;2.87184479639;5.42642784425;9.95388517998;5.68480531915;7.17651949677;8.38075112142;1.57277131621;9.43264006729;18.8213700537;16.4635759596;9.08887146581;9.47120017426;10.4631831843;5.14239055103;6.84137760827;2.18211749266];
ProcessingModel.pcc = 0.95311;
ProcessingModel.rmse = 1.4034;
ProcessingModel.sem = 0.31295;
 
Model(13) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Zn
ProcessingModel.speciesName = 'Zn';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 14;
ProcessingModel.bandNames = {'Zn-K'};
ProcessingModel.bandIndices = 30;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 0.304178427096;
ProcessingModel.known = [37.0768;25.2;24;223;271;30.5;58.7;76;29.1344;4;230;83;26.0784;37.0512;43.2288;37.152;51.1488;35];
ProcessingModel.meas = [121.182661038;96.545427279;66.1284644206;721.313776273;871.810657253;121.818430961;207.409923537;260.770181675;81.8549166277;15.6690362846;763.097615803;303.292439523;113.950511325;114.793112648;177.646748911;124.100180209;147.251133986;75.0307685713];
ProcessingModel.pred = [36.8611512258;29.367036213;20.1148522937;219.408089909;265.185994449;37.0545387212;63.0896243055;79.3206636955;24.8984997899;4.76618281116;232.117832496;92.2550172043;34.6612873018;34.9175884467;54.0363086624;37.7485976182;44.7906183239;22.8227411678];
ProcessingModel.pcc = 0.9971;
ProcessingModel.rmse = 5.9871;
ProcessingModel.sem = 0.079271;
 
Model(14) = ProcessingModel;
 
 
 
ProcessingModel = [];
 
% Data processing model for Mo
ProcessingModel.speciesName = 'Mo';
ProcessingModel.speciesUnits = 'ppm';
ProcessingModel.speciesIndex = 15;
ProcessingModel.bandNames = {'Mo-K'};
ProcessingModel.bandIndices = 34;
ProcessingModel.Constant = 0;
ProcessingModel.Power = 1;
ProcessingModel.coefs = 0.193045417;
ProcessingModel.known = [0.8;0;2;0.2;1;4;0;0.24713968;5;0;4;2;3;1;9;0.05;2;2];
ProcessingModel.meas = [3.19331691034;2.11112692701;0;0.96235224442;13.7694117082;6.38124605666;0.813666638275;0;0;0;0.130247893571;0;0;0;0;0;6.03845343577;0];
ProcessingModel.pred = [0.616455194569;0.407543377965;0;0.185777690325;2.65812182504;1.23187030599;0.157074615484;0;0;0;0.0251437589278;0;0;0;0;0;1.16569576154;0];
ProcessingModel.pcc = -0.088869;
ProcessingModel.rmse = 2.9363;
ProcessingModel.sem = 1.3325;
 
Model(15) = ProcessingModel;
 
end
